Results 1 to 3 of 3

Thread: Software manager won't open

  1. #1

    Default Software manager won't open

    Hi guys, I've looked around the forum and although other people had my issue, none of the solutions worked. All of a sudden I can't open Yast2 GUI. Looking at other people threads, this should the relevant system infos:

    sudo yast2 sw_single works fine in terminal and opens the text-based version.

    su -l -c'/sbin/yast2 sw_single'
    Code:
    Password:  
    terminate called after throwing an instance of 'YUIPluginException'
      what():  Couldn't load plug-in qt
    /sbin/yast2: line 448: 14547 Aborted                 (core dumped) $ybindir/y2start $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    su -l -c'/sbin/yast2 --gtk'
    Code:
    Password:  
    The GTK GUI has been retired, falling back to Qt.
    terminate called after throwing an instance of 'YUIPluginException'
      what():  Couldn't load plug-in qt
    /sbin/yast2: line 448: 15955 Aborted                 (core dumped) $ybindir/y2start $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    zypper lr -u
    Code:
    # | Alias                             | Name                                                                 | Enabled | GPG Check | Update | URI             
                                                              
    --+-----------------------------------+----------------------------------------------------------------------+-----------+---------------+---------------+-----------------
    ---------------------------------------------------------
    1 | KDE_Extra                         | Additional packages maintained by the KDE team (openSUSE_Tumbleweed) | Yes        | (r ) Yes       | No            | http://download.
    opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/
    2 | http-ftp.uni-erlangen.de-997f0038 | Packman Repository                                                   | Yes        | (r ) Yes       | Yes            | http://ftp.uni-e
    rlangen.de/pub/mirrors/packman/suse/openSUSE_Tumbleweed   
    3 | network                           | Networking services and related tools (openSUSE_Tumbleweed)          | Yes        | (r ) Yes       | No            | http://download.
    opensuse.org/repositories/network/openSUSE_Tumbleweed/    
    4 | repo-debug                        | openSUSE-Tumbleweed-Debug                                            | No        | ----          | ----          | http://download.
    opensuse.org/debug/tumbleweed/repo/oss/                   
    5 | repo-non-oss                      | openSUSE-Tumbleweed-Non-Oss                                          | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/tumbleweed/repo/non-oss/                     
    6 | repo-oss                          | openSUSE-Tumbleweed-Oss                                              | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/tumbleweed/repo/oss/                         
    7 | repo-source                       | openSUSE-Tumbleweed-Source                                           | No         | ----          | ----          | http://download.
    opensuse.org/source/tumbleweed/repo/oss/                  
    8 | repo-update                       | openSUSE-Tumbleweed-Update                                           | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/update/tumbleweed/                           
    9 | sublime-text                      | Sublime Text - x86_64 - Stable                                       | Yes        | (r ) Yes       | Yes            | https://download
    .sublimetext.com/rpm/stable/x86_64
    rpm -qa | egrep "(yast|libyui)"
    Code:
    yast2-samba-client-3.1.19-1.1.noarch
    libyui-qt7-2.47.1-1.3.x86_64
    yast2-snapper-3.2.0-1.2.x86_64
    yast2-3.3.8-1.1.x86_64
    yast2-samba-server-3.2.1-1.1.noarch
    yast2-ycp-ui-bindings-3.2.0-1.4.x86_64
    yast2-storage-3.2.17-1.2.x86_64
    yast2-hardware-detection-3.1.8-1.2.x86_64
    yast2-online-update-3.1.11-1.4.noarch
    yast2-nfs-common-3.1.9-1.2.noarch
    yast2-vpn-3.1.5-1.2.noarch
    yast2-branding-openSUSE-3.2.3-1.1.noarch
    yast2-x11-3.1.5-1.4.x86_64
    yast2-http-server-3.2.2-1.1.noarch
    libyui7-3.2.9-1.4.x86_64
    autoyast2-installation-3.3.3-1.1.noarch
    yast2-nfs-client-3.1.17-1.2.noarch
    yast2-control-center-qt-3.3.0-1.1.x86_64
    yast2-security-3.2.3-1.2.noarch
    patterns-kde-kde_yast-20170319-6.1.x86_64
    yast2-country-data-3.3.0-1.1.x86_64
    yast2-proxy-3.1.6-1.4.noarch
    yast2-journal-3.2.0-1.1.noarch
    yast2-branding-openSUSE-Oxygen-3.2.3-1.1.noarch
    yast2-tune-3.2.0-1.2.x86_64
    yast2-control-center-3.3.0-1.1.x86_64
    yast2-network-3.3.6-1.1.noarch
    yast2-printer-3.1.6-1.5.x86_64
    yast2-add-on-3.3.0-1.1.noarch
    yast2-apparmor-3.3.0-1.1.noarch
    libyui-ncurses-pkg7-2.48.4-1.4.x86_64
    yast2-users-3.2.11-1.2.x86_64
    yast2-xml-3.3.0-1.1.x86_64
    yast2-installation-3.3.5-1.1.noarch
    yast2-core-3.2.2-1.4.x86_64
    yast2-scanner-3.2.1-1.2.x86_64
    yast2-sudo-3.1.2-1.4.noarch
    yast2-fonts-3.2.0-1.3.x86_64
    libyui-ncurses-pkg8-2.48.5-1.1.x86_64
    patterns-yast-yast2_basis-20170319-1.1.x86_64
    yast2-transfer-3.1.3-1.5.x86_64
    yast2-online-update-configuration-3.1.6-1.1.noarch
    libyui8-3.3.3-1.1.x86_64
    yast2-packager-3.3.2-1.1.x86_64
    yast2-pam-3.1.2-1.2.noarch
    yast2-metapackage-handler-3.1.4-2.5.noarch
    yast2-ntp-client-3.3.3-1.1.noarch
    yast2-iscsi-client-3.1.30-1.1.noarch
    yast2-country-3.3.0-1.1.x86_64
    yast2-update-3.2.2-1.1.x86_64
    libyui-qt-pkg7-2.45.13-1.1.x86_64
    yast2-services-manager-3.3.1-1.1.noarch
    patterns-yast-yast2_install_wf-20170319-1.1.x86_64
    yast2-slp-3.1.11-1.2.x86_64
    yast2-firewall-3.2.0-1.1.noarch
    yast2-pkg-bindings-3.2.4-1.1.x86_64
    libyui-ncurses8-2.48.4-1.1.x86_64
    yast2-ldap-3.1.14-1.2.x86_64
    yast2-vm-3.2.2-1.1.x86_64
    yast2-online-update-frontend-3.1.11-1.4.noarch
    yast2-mail-3.1.10-1.2.noarch
    libyui-qt-graph7-2.44.5-1.11.x86_64
    yast2-nis-client-3.2.1-1.1.x86_64
    yast2-ruby-bindings-3.3.1-1.3.x86_64
    yast2-auth-client-3.3.13-1.2.noarch
    yast2-sound-3.1.10-1.7.x86_64
    yast2-sysconfig-3.1.4-1.2.noarch
    yast2-perl-bindings-3.2.0-1.3.x86_64
    yast2-trans-en_US-84.87.20170719.20cc14dd-1.1.noarch
    yast2-bootloader-3.3.0-1.2.x86_64
    libyui-ncurses7-2.48.3-1.1.x86_64
    yast2-inetd-3.1.13-1.2.noarch
    yast2-trans-stats-2.19.0-17.10.noarch
    What can I do?

  2. #2

    Default Re: Software manager won't open

    Hi there, i had the same problem.

    here's what fixed mine:

    zypper install libyui-qt8

    i hope that works

    Quote Originally Posted by antipop View Post
    Hi guys, I've looked around the forum and although other people had my issue, none of the solutions worked. All of a sudden I can't open Yast2 GUI. Looking at other people threads, this should the relevant system infos:

    sudo yast2 sw_single works fine in terminal and opens the text-based version.

    su -l -c'/sbin/yast2 sw_single'
    Code:
    Password:  
    terminate called after throwing an instance of 'YUIPluginException'
      what():  Couldn't load plug-in qt
    /sbin/yast2: line 448: 14547 Aborted                 (core dumped) $ybindir/y2start $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    su -l -c'/sbin/yast2 --gtk'
    Code:
    Password:  
    The GTK GUI has been retired, falling back to Qt.
    terminate called after throwing an instance of 'YUIPluginException'
      what():  Couldn't load plug-in qt
    /sbin/yast2: line 448: 15955 Aborted                 (core dumped) $ybindir/y2start $module "$@" "$SELECTED_GUI" $Y2_GEOMETRY $Y2UI_ARGS
    zypper lr -u
    Code:
    # | Alias                             | Name                                                                 | Enabled | GPG Check | Update | URI             
                                                              
    --+-----------------------------------+----------------------------------------------------------------------+-----------+---------------+---------------+-----------------
    ---------------------------------------------------------
    1 | KDE_Extra                         | Additional packages maintained by the KDE team (openSUSE_Tumbleweed) | Yes        | (r ) Yes       | No            | http://download.
    opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/
    2 | http-ftp.uni-erlangen.de-997f0038 | Packman Repository                                                   | Yes        | (r ) Yes       | Yes            | http://ftp.uni-e
    rlangen.de/pub/mirrors/packman/suse/openSUSE_Tumbleweed   
    3 | network                           | Networking services and related tools (openSUSE_Tumbleweed)          | Yes        | (r ) Yes       | No            | http://download.
    opensuse.org/repositories/network/openSUSE_Tumbleweed/    
    4 | repo-debug                        | openSUSE-Tumbleweed-Debug                                            | No        | ----          | ----          | http://download.
    opensuse.org/debug/tumbleweed/repo/oss/                   
    5 | repo-non-oss                      | openSUSE-Tumbleweed-Non-Oss                                          | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/tumbleweed/repo/non-oss/                     
    6 | repo-oss                          | openSUSE-Tumbleweed-Oss                                              | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/tumbleweed/repo/oss/                         
    7 | repo-source                       | openSUSE-Tumbleweed-Source                                           | No         | ----          | ----          | http://download.
    opensuse.org/source/tumbleweed/repo/oss/                  
    8 | repo-update                       | openSUSE-Tumbleweed-Update                                           | Yes        | (r ) Yes       | Yes            | http://download.
    opensuse.org/update/tumbleweed/                           
    9 | sublime-text                      | Sublime Text - x86_64 - Stable                                       | Yes        | (r ) Yes       | Yes            | https://download
    .sublimetext.com/rpm/stable/x86_64
    rpm -qa | egrep "(yast|libyui)"
    Code:
    yast2-samba-client-3.1.19-1.1.noarch
    libyui-qt7-2.47.1-1.3.x86_64
    yast2-snapper-3.2.0-1.2.x86_64
    yast2-3.3.8-1.1.x86_64
    yast2-samba-server-3.2.1-1.1.noarch
    yast2-ycp-ui-bindings-3.2.0-1.4.x86_64
    yast2-storage-3.2.17-1.2.x86_64
    yast2-hardware-detection-3.1.8-1.2.x86_64
    yast2-online-update-3.1.11-1.4.noarch
    yast2-nfs-common-3.1.9-1.2.noarch
    yast2-vpn-3.1.5-1.2.noarch
    yast2-branding-openSUSE-3.2.3-1.1.noarch
    yast2-x11-3.1.5-1.4.x86_64
    yast2-http-server-3.2.2-1.1.noarch
    libyui7-3.2.9-1.4.x86_64
    autoyast2-installation-3.3.3-1.1.noarch
    yast2-nfs-client-3.1.17-1.2.noarch
    yast2-control-center-qt-3.3.0-1.1.x86_64
    yast2-security-3.2.3-1.2.noarch
    patterns-kde-kde_yast-20170319-6.1.x86_64
    yast2-country-data-3.3.0-1.1.x86_64
    yast2-proxy-3.1.6-1.4.noarch
    yast2-journal-3.2.0-1.1.noarch
    yast2-branding-openSUSE-Oxygen-3.2.3-1.1.noarch
    yast2-tune-3.2.0-1.2.x86_64
    yast2-control-center-3.3.0-1.1.x86_64
    yast2-network-3.3.6-1.1.noarch
    yast2-printer-3.1.6-1.5.x86_64
    yast2-add-on-3.3.0-1.1.noarch
    yast2-apparmor-3.3.0-1.1.noarch
    libyui-ncurses-pkg7-2.48.4-1.4.x86_64
    yast2-users-3.2.11-1.2.x86_64
    yast2-xml-3.3.0-1.1.x86_64
    yast2-installation-3.3.5-1.1.noarch
    yast2-core-3.2.2-1.4.x86_64
    yast2-scanner-3.2.1-1.2.x86_64
    yast2-sudo-3.1.2-1.4.noarch
    yast2-fonts-3.2.0-1.3.x86_64
    libyui-ncurses-pkg8-2.48.5-1.1.x86_64
    patterns-yast-yast2_basis-20170319-1.1.x86_64
    yast2-transfer-3.1.3-1.5.x86_64
    yast2-online-update-configuration-3.1.6-1.1.noarch
    libyui8-3.3.3-1.1.x86_64
    yast2-packager-3.3.2-1.1.x86_64
    yast2-pam-3.1.2-1.2.noarch
    yast2-metapackage-handler-3.1.4-2.5.noarch
    yast2-ntp-client-3.3.3-1.1.noarch
    yast2-iscsi-client-3.1.30-1.1.noarch
    yast2-country-3.3.0-1.1.x86_64
    yast2-update-3.2.2-1.1.x86_64
    libyui-qt-pkg7-2.45.13-1.1.x86_64
    yast2-services-manager-3.3.1-1.1.noarch
    patterns-yast-yast2_install_wf-20170319-1.1.x86_64
    yast2-slp-3.1.11-1.2.x86_64
    yast2-firewall-3.2.0-1.1.noarch
    yast2-pkg-bindings-3.2.4-1.1.x86_64
    libyui-ncurses8-2.48.4-1.1.x86_64
    yast2-ldap-3.1.14-1.2.x86_64
    yast2-vm-3.2.2-1.1.x86_64
    yast2-online-update-frontend-3.1.11-1.4.noarch
    yast2-mail-3.1.10-1.2.noarch
    libyui-qt-graph7-2.44.5-1.11.x86_64
    yast2-nis-client-3.2.1-1.1.x86_64
    yast2-ruby-bindings-3.3.1-1.3.x86_64
    yast2-auth-client-3.3.13-1.2.noarch
    yast2-sound-3.1.10-1.7.x86_64
    yast2-sysconfig-3.1.4-1.2.noarch
    yast2-perl-bindings-3.2.0-1.3.x86_64
    yast2-trans-en_US-84.87.20170719.20cc14dd-1.1.noarch
    yast2-bootloader-3.3.0-1.2.x86_64
    libyui-ncurses7-2.48.3-1.1.x86_64
    yast2-inetd-3.1.13-1.2.noarch
    yast2-trans-stats-2.19.0-17.10.noarch
    What can I do?

  3. #3

    Default Re: Software manager won't open

    Quote Originally Posted by jshand2015 View Post
    Hi there, i had the same problem.

    here's what fixed mine:

    zypper install libyui-qt8

    i hope that works
    It works now! Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •